JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.devices.fingerprint('deviceId');
console.log(response.identifiers);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.devices.fingerprint(
device_id="deviceId",
)
print(response.identifiers)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Devices.Fingerprint(
context.TODO(),
"deviceId",
mobileruncloud.DeviceFingerprintParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Identifiers)
}mobilerun-cloud devices fingerprint \
--api-key 'My API Key' \
--device-id deviceIdcurl --request GET \
--url https://api.mobilerun.ai/devices/{deviceId}/fingerprint \
--header 'Authorization: Bearer <token>'
{
"carrier": {
"GsmOperatorAlpha": "<string>",
"GsmOperatorNumeric": 123,
"GsmSimOperatorAlpha": "<string>",
"GsmSimOperatorIsoCountry": "<string>",
"GsmSimOperatorNumeric": 123,
"PersistSysTimezone": "<string>"
},
"display": {
"densityDpi": 123,
"height": 123,
"width": 123
},
"identifiers": {
"BootloaderSerialNumber": "<string>",
"IdentifierAndroidID": "<string>",
"IdentifierAppSetID": "<string>",
"IdentifierBluetoothMAC": "<string>",
"IdentifierGAID": "<string>",
"IdentifierGSFID": "<string>",
"IdentifierICCID": "<string>",
"IdentifierIMEI": "<string>",
"IdentifierIMSI": "<string>",
"IdentifierMEID": "<string>",
"IdentifierMediaDRMID": "<string>",
"IdentifierPhoneNumber": "<string>",
"IdentifierSerial": "<string>",
"IdentifierWifiMAC": "<string>",
"SerialNumber": "<string>"
},
"model": {
"aospVersion": "<string>",
"brand": "<string>",
"device": "<string>",
"hardware": "<string>",
"imageRepository": "<string>",
"manufacturer": "<string>",
"model": "<string>"
},
"$schema": "<string>"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Misc
Device fingerprint snapshot
Returns a live snapshot of the device’s spoofed identity, including model, display, identifiers, and carrier. Devices without fingerprint support return an unsupported-feature error.
GET
/
devices
/
{deviceId}
/
fingerprint
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.devices.fingerprint('deviceId');
console.log(response.identifiers);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.devices.fingerprint(
device_id="deviceId",
)
print(response.identifiers)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Devices.Fingerprint(
context.TODO(),
"deviceId",
mobileruncloud.DeviceFingerprintParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Identifiers)
}mobilerun-cloud devices fingerprint \
--api-key 'My API Key' \
--device-id deviceIdThe snapshot reflects what apps running on the device observe.
Sections are collected independently and best-effort: values the device cannot report come back empty instead of failing the request — treat empty fields as “unknown”, not as an error.
Authorizations
Bearer token via Authorization header
Headers
Required range:
x >= 0Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://example.com/schemas/FingerprintResult.json"
Was this page helpful?
⌘I